| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxHtmlTagsModule Class Reference
HTML

`#include <wx/html/winpars.h>`

Inheritance diagram for wxHtmlTagsModule:
[legend]

## Detailed Description

This class provides easy way of filling wxHtmlWinParser's table of tag handlers.

It is used almost exclusively together with the set of TAGS_MODULE_* macros

##

Library: wxHTML
Category: HTML

See Also
  Tag Handlers, wxHtmlTagHandler, wxHtmlWinTagHandler

## Public Member Functions

virtual void | FillHandlersTable (wxHtmlWinParser *parser)
| You must override this method.
Public Member Functions inherited from wxModule
| wxModule ()
| Constructs a wxModule object.
virtual | ~wxModule ()
| Destructor.
virtual void | OnExit ()=0
| Provide this function with appropriate cleanup for your module.
virtual bool | OnInit ()=0
| Provide this function with appropriate initialization for your module.
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data.
| wxObject (const wxObject &other)
| Copy ctor.
virtual | ~wxObject ()
| Destructor.
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar).
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object.
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class.
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj.
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone.
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer.
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data.
void | UnShare ()
| This is the same of AllocExclusive() but this method is public.
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined.
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined.

## Additional Inherited Members

Protected Member Functions inherited from wxModule
void | AddDependency (wxClassInfo *dep)
| Call this function from the constructor of the derived class.
void | AddDependency (const char *classname)
| Call this function from the constructor of the derived class.
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data.

## Member Function Documentation

virtual void wxHtmlTagsModule::FillHandlersTable | ( | wxHtmlWinParser * | parser | ) |

virtual

You must override this method.

In most common case its body consists only of lines of the following type:

parser -> AddTagHandler(new MyHandler);

It's recommended to use the TAGS_MODULE_* macros.

Parameters

  parser | Pointer to the parser that requested tables filling.